package com.ssj.service.reading.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/** 
 * @author  ZhangCaibao 
 * @version 2018年11月15日 下午4:22:25 
 * 类说明 
 */
public class ThemeAllReq  extends BaseRequest{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	@ApiModelProperty(name="childTheme",value="二级主题名称",required=true)
	private String childTheme;

	@ApiModelProperty(name="pageSize",value="一页多少条",required=true)
	private int pageSize=10;
	@ApiModelProperty(name="pageNo",value="第几页",required=true)
	private int pageNo=1;

	@ApiModelProperty(name="title",value="书籍搜索标题",required=false)
	private String title;

	@ApiModelProperty(name="gradeList",value="年级",required=false)
	private List<GradeReq> gradeList;
	public String getChildTheme() {
		return childTheme;
	}

	public void setChildTheme(String childTheme) {
		this.childTheme = childTheme;
	}

	public int getPageSize() {
		return pageSize;
	}

	public void setPageSize(int pageSize) {
		this.pageSize = pageSize;
	}

	public int getPageNo() {
		return pageNo;
	}

	public void setPageNo(int pageNo) {
		this.pageNo = pageNo;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public List<GradeReq> getGradeList() {
		return gradeList;
	}

	public void setGradeList(List<GradeReq> gradeList) {
		this.gradeList = gradeList;
	}
}
